using Encompass;
using Microsoft.Xna.Framework;

namespace KavTest
{
    public struct ContinuousRotationComponent : IComponent
    {
        public Quaternion Quaternion { get; }

        public ContinuousRotationComponent(Vector3 axis, float angle)
        {
            Quaternion = Quaternion.CreateFromAxisAngle(axis, angle);
        }
    }
}
